<?php

namespace App\Http\Middleware;
use Illuminate\Foundation\Http\Middleware\IsAdmin as Middleware;
use Illuminate\Support\Facades\Auth;
use Closure;

class IsAdmin
{

	    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */

    public function handle($request, Closure $next)
    {
        if (Auth::user()->group == 1) {
            return $next($request);
        }

        return redirect()->route('dashboard');
    }
}